## knetload-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( knetload )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" ON                                           )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( icons )
add_subdirectory( knetload )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## knetload-trinity 3.5.13.2

=== debian/changelog ===
knetload-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 19:48:34 +0200

knetload-trinity (2.3-3.1ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

knetload-trinity (2.3-3.0ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 06 March 2009 01:35:00 -0600

knetload-trinity (2.3-3.0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 18 Dec 2008 17:47:00 -0600

knetload (2.3-3.1ubuntu1) intrepid; urgency=low

  * Drop recommends on kicker (LP: #283543)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 15 Oct 2008 12:47:50 +0200

knetload (2.3-3.1) unstable; urgency=low

  * Porter NMU with kind permission of the maintainer.
  * Adjusted config.{guess,sub} (closes: #342376):
     - Added auto-updates of admin/config.{guess,sub} in the clean target.
     - Added a Build-Dependency on autotools-dev accordingly.
     - Dropped config.{guess,sub} from the top-level directory since they
       belong to the admin/ one.
  * Updated libtool using the instructions provided by Aurelien Jarno and Petr
    Salinger in #343962:
       cp -f /usr/share/libtool/libtool.m4 admin/libtool.m4.in
       cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
       make -f admin/Makefile.common
    to assure a correct build on GNU/kFreeBSD.
  * Updated admin/cvs.sh to detect both autoconf and autoheader 2.6* (and not
    only 2.5*) according to:
      http://lists.alioth.debian.org/pipermail/pkg-kde-talk/2006-July/000506.html
    That was needed to apply Aurelien's instructions. 

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Wed, 21 Mar 2007 05:00:17 +0100

knetload (2.3-3) unstable; urgency=low

  * Built with gcc-4.0 and against kdelibs 4:3.4.2.
  * New maintainer email address.
  * Complies with new standards version (3.6.2).
  * Updated Free Software Foundation address in debian/copyright to new 
    address.
  * Replaced config.guess and config.sub with new versions from autotools-dev 
    (closes: Bug#306521).
  
 -- Helen Faulkner <helen@debian.org>  Sat, 03 Sep 2005 17:44:32 +1000

knetload (2.3-2) unstable; urgency=low

  * Added copyright lines to debian/copyright.
  * Corrected download location in debian/copyright.
  * Removed obsolete kderemove tag from debian/menu.
  * Removed lintian overrides, as they are no longer necessary.
  * Removed unnecessary code for DEB_BUILD_OPTIONS=nostrip.
  
 -- Helen Faulkner <helen_ml_faulkner@yahoo.co.uk>  Fri, 17 Dec 2004 13:31:27 +0000

knetload (2.3-1) unstable; urgency=low

  * Adopted by Helen Faulkner.
  * New upstream version.
  * Using AM_MAINTAINER_MODE.
  
 -- Helen Faulkner <helen_ml_faulkner@yahoo.co.uk>  Thu, 21 Oct 2004 23:01:43 +0100

knetload (1.99-8) unstable; urgency=low

  * Rebuilt against KDE 3.2 for nicer docs.
  * More quoting for the debian menu file.

 -- Ben Burton <bab@debian.org>  Sat,  3 Jul 2004 09:36:46 +1000

knetload (1.99-7) unstable; urgency=low

  * Built against new libXrender.
  * Bumped standards-version to 3.6.1.

 -- Ben Burton <bab@debian.org>  Fri,  2 Jan 2004 18:13:07 +1100

knetload (1.99-6) unstable; urgency=low

  * Using high colour pixmap for debian menu entry.
  * Updated SEE ALSO section of manpage.
  * Bumped standards-version to 3.6.0.
  * Updated package sections.

 -- Ben Burton <bab@debian.org>  Wed, 27 Aug 2003 20:04:25 +1000

knetload (1.99-5) unstable; urgency=low

  * Patched admin/acinclude.m4.in for s390 build (closes: #186815).
  * Using AM_MAINTAINER_MODE.

 -- Ben Burton <bab@debian.org>  Tue,  8 Apr 2003 09:27:53 +1000

knetload (1.99-4) unstable; urgency=low

  * Removed dangling symlink (closes: #186172).

 -- Ben Burton <bab@debian.org>  Wed, 26 Mar 2003 14:06:57 +1100

knetload (1.99-3) unstable; urgency=low

  * Updated admin/debianrules for new Qt dirs (closes: #184690).
  * Removed alpha compile flags.

 -- Ben Burton <bab@debian.org>  Sun, 16 Mar 2003 16:00:19 +1100

knetload (1.99-2) unstable; urgency=low

  * First Trinity upload to debian!
  * Build-depends on debhelper v4.

 -- Ben Burton <bab@debian.org>  Mon,  3 Feb 2003 10:40:27 +1100

knetload (1.99-1) unstable; urgency=low

  * New upstream version.
  * Bumped standards-version to 3.5.8.

 -- Ben Burton <bab@debian.org>  Tue, 14 Jan 2003 19:23:14 +1100

knetload (1.91-trinity-1) unstable; urgency=low

  * Ported to Trinity.

 -- Ben Burton <benb@acm.org>  Mon,  2 Sep 2002 12:57:36 +1000

knetload (1.91-15) unstable; urgency=low

  * Fixed the alpha build _again_.

 -- Ben Burton <benb@acm.org>  Sun,  4 Nov 2001 11:12:23 -0600

knetload (1.91-14) unstable; urgency=low

  * No longer runs ./configure a second time (fixes alpha builds).

 -- Ben Burton <benb@acm.org>  Mon, 29 Oct 2001 10:43:01 -0600

knetload (1.91-13) unstable; urgency=low

  * Consecutive builds now produce the same source diffs.

 -- Ben Burton <benb@acm.org>  Thu, 11 Oct 2001 14:09:31 -0500

knetload (1.91-12) unstable; urgency=low

  * Builds with automake 1.5.
  * Updated config.guess and config.sub (closes: Bug#115014).

 -- Ben Burton <benb@acm.org>  Thu, 11 Oct 2001 09:41:57 -0500

knetload (1.91-11) unstable; urgency=low

  * Updated parameters for alpha build.

 -- Ben Burton <benb@acm.org>  Sun, 23 Sep 2001 23:07:01 -0500

knetload (1.91-10) unstable; urgency=low

  * objprelink: now you see it, now you don't (removed).

 -- Ben Burton <benb@acm.org>  Sun, 16 Sep 2001 12:22:33 -0500

knetload (1.91-9) unstable; urgency=low

  * Uses objprelink.

 -- Ben Burton <benb@acm.org>  Thu, 30 Aug 2001 09:10:08 -0500

knetload (1.91-8) unstable; urgency=low

  * Cleaned up debian/rules.

 -- Ben Burton <benb@acm.org>  Wed,  8 Aug 2001 19:08:30 +1000

knetload (1.91-7) unstable; urgency=low



=== debian/control ===
Source: knetload-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
Build-Depends: debhelper (>> 4.0.0), quilt, kdelibs4-trinity-dev (>= 4:3.4.2), automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: knetload-trinity
Architecture: any
Section: kde
Replaces: knetload-kde3 (<< 4:3.5.13)
Breaks: knetload-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Conflicts: knetload
Suggests: kcpuload-trinity
Description: a network meter for Kicker [Trinity]
 KNetLoad is a small network meter for Kicker (the KDE panel).  It shows
 a recent history of network usage in the form of two configurable
 diagrams in the system tray, one for incoming and one for outgoing
 data.  These diagrams have settings for colours and various different
 styles.
 .
 KNetLoad can monitor just about any network device.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

INSTALL_DIR = install -p -d -o root -g root -m 755
INSTALL_FILE = install -p -o root -g root -m 644

objdir = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

tmp = debian/knetload-trinity

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif

ifeq ($(DEB_BUILD_GNU_TYPE),i386-linux)
  # Uncomment the following 2 lines to enable i686 optimziation
  # You may want to tweak the settings to your likings
  #export CFLAGS=-O3 -march=i686 -ffast-math -finline-functions
  #export CXXFLAGS=-O3 -march=i686 -ffast-math -finline-functions
endif

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

configure: configure-stamp
configure-stamp:
	dh_testdir

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	# make build directory
	mkdir $(objdir)

	# run configure with build tree $(objdir)
	cd $(objdir) && \
	../configure $(configkde) --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	cd $(objdir) && \
	$(MAKE)

	touch build-stamp

debian-clean:
	dh_testdir
	dh_testroot

	dh_clean

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp debian/debiandirs

	# Remove build tree
	rm -rf $(objdir)

	# if Makefile exists run distclean
	if test -f Makefile; then \
		$(MAKE) distclean; \
	fi

	if test -d CVS; then \
		$(MAKE) -f admin/Makefile.common cvs-clean ;\
	fi

	# Auto-update config.{guess,sub}
	-test -r /usr/share/misc/config.guess && \
	   cp -f /usr/share/misc/config.guess admin/config.guess
	-test -r /usr/share/misc/config.sub && \
	   cp -f /usr/share/misc/config.sub admin/config.sub

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(objdir) && \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/knetload-trinity

	# Install additional files beyond the standard install.
	dh_install

	# Generate HTML docs.
#	for i in `find $(tmp) -name "index.docbook"`; do \
#	  ( cd `dirname $$i`; meinproc `basename $$i` ); \
#	done

	# Install standard documentation links.
	for pkg in `dh_listpackages`; do \
	  if test -d debian/$$pkg/opt/trinity/share/doc/tde/HTML/en/$$pkg; then \
	    dh_link -p$$pkg opt/trinity/share/doc/tde/HTML/en/$$pkg \
	      opt/trinity/share/doc/$$pkg/html; \
	  fi; \
	done

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	mv debian/knetload-trinity/usr/share/man debian/knetload-trinity/opt/trinity/share/
	dh_installmenu
	dh_installmime
	dh_strip
	dh_link
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

# Build architecture independant packages using the common target.
binary-indep: build install
	# We have nothing to do by default.

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## knetload-trinity 14.0.4

=== debian/changelog ===
knetload-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:26:36 +0200

## knetload-trinity 14.0.5

=== debian/changelog ===
knetload-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:44:41 +0200

=== debian/control ===
Source: knetload-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, tdelibs14-trinity-dev (>= 4:3.4.2), automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: knetload-trinity
Architecture: any
Section: tde
Replaces: knetload-kde3 (<< 4:14.0.0~), knetload-trinity (<< 4:14.0.0~)
Breaks: knetload-kde3 (<< 4:14.0.0~), knetload-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Conflicts: knetload
Suggests: kcpuload-trinity
Description: a network meter for Kicker [Trinity]
 KNetLoad is a small network meter for Kicker (the TDE panel).  It shows
 a recent history of network usage in the form of two configurable
 diagrams in the system tray, one for incoming and one for outgoing
 data.  These diagrams have settings for colours and various different
 styles.
 .
 KNetLoad can monitor just about any network device.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

binary-install/knetload-trinity::
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

## knetload-trinity 14.0.6

=== debian/changelog ===
knetload-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:43:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, tdelibs14-trinity-dev (>= 4:3.4.2), automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, cmake, tdelibs14-trinity-dev (>= 4:3.4.2), libltdl-dev
 Standards-Version: 3.8.4
 
 Package: knetload-trinity

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/cmake.mk
 include debian/cdbs/debian-qt-kde.mk
 #include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
@@ -13,5 +14,13 @@
 DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                                && echo xz || echo bzip2)
 
-binary-install/knetload-trinity::
-	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/
+DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
+ -DCONFIG_INSTALL_DIR="/etc/trinity" \
+ -DSYSCONF_INSTALL_DIR="/etc" \
+ -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo \
+ -DCMAKE_VERBOSE_MAKEFILE="ON" \
+ -DCMAKE_SKIP_RPATH="OFF" \
+ -DBUILD_ALL="ON" \
+ -DWITH_ALL_OPTIONS="ON"

## knetload-trinity 14.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( knetload )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.8 )
 
 
 #### include essential cmake modules
@@ -40,7 +40,7 @@
 
 ##### optional stuff
 
-option( WITH_ALL_OPTIONS "Enable all optional support" ON                                           )
+option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                           )
 option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )

=== debian/changelog ===
knetload-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, cmake, tdelibs14-trinity-dev (>= 4:3.4.2), libltdl-dev
+Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev (>= 4:3.4.2), libltdl-dev
 Standards-Version: 3.8.4
 
 Package: knetload-trinity

## knetload-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( knetload )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -40,15 +40,15 @@
 
 ##### optional stuff
 
-option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                           )
+option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
 option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
 
 
 ##### user requested modules
 
-option( BUILD_ALL "Build all" ON                             )
-option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
-option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
+option( BUILD_ALL          "Build all" ON )
+option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
+option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )
 
 
 ##### configure checks
@@ -69,8 +69,8 @@
 
 add_subdirectory( icons )
 add_subdirectory( knetload )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 
+tde_conditional_add_subdirectory( BUILD_DOC doc )
+tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
 
 
 ##### write configure files

=== debian/changelog ===
knetload-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:08:23 +0200

## knetload-trinity 14.0.10

=== debian/changelog ===
knetload-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: knetload-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
 Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev (>= 4:3.4.2), libltdl-dev
 Standards-Version: 3.8.4

## knetload-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( knetload )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -69,8 +69,12 @@
 
 add_subdirectory( icons )
 add_subdirectory( knetload )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
knetload-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 21:44:39 +0200

## knetload-trinity 14.0.12

=== debian/changelog ===
knetload-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 13:01:27 +0100

## knetload-trinity 14.0.13

=== debian/changelog ===
knetload-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Jun 2022 09:32:44 +0200

## knetload-trinity 14.1.0

=== debian/changelog ===
knetload-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Apr 2023 21:15:13 +0200

## knetload-trinity 14.1.1

=== debian/changelog ===
knetload-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 06:07:49 +0200

## knetload-trinity 14.1.2

=== debian/changelog ===
knetload-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 02 Apr 2024 09:55:03 +0200

## knetload-trinity 14.1.3

=== debian/changelog ===
knetload-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:30:58 +0200

## knetload-trinity 14.1.4

=== debian/changelog ===
knetload-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## knetload-trinity 14.1.5~pre0

=== debian/changelog ===
knetload-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for e4533345cf9a96b99430d989df03aa8afbc9a5a6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## knetload-trinity 14.1.5

=== debian/changelog ===
knetload-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## knetload-trinity 14.1.6~pre0

=== debian/changelog ===
knetload-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e4533345cf9a96b99430d989df03aa8afbc9a5a6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## knetload-trinity 14.1.6~pre1

=== debian/changelog ===
knetload-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for dc7f87235c01182e76078fc0f0d51441b9653760
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:04:26 +0100

## knetload-trinity 14.2.0~pre21

=== debian/changelog ===
knetload-trinity (4:14.2.0~pre21-0raspbian13.0.0+7) raspbian-trixie; urgency=low

  * Automated git build for ffb46acc981626ec66c928435ddb7907075e372a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
-Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev (>= 4:3.4.2), libltdl-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev (>= 4:3.4.2)
 Standards-Version: 3.8.4
 
 Package: knetload-trinity
 Architecture: any
 Section: tde
-Replaces: knetload-kde3 (<< 4:14.0.0~), knetload-trinity (<< 4:14.0.0~)
-Breaks: knetload-kde3 (<< 4:14.0.0~), knetload-trinity (<< 4:14.0.0~)
+Replaces: knetload-trinity (<< 4:14.0.0~)
+Breaks: knetload-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Conflicts: knetload
 Suggests: kcpuload-trinity

## knetload-trinity 14.2.0~pre22

=== debian/changelog ===
knetload-trinity (4:14.2.0~pre22-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 8a6012a593a333275ddbd1684f4c43f2f2a0a62c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knetload

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:06:27 +0100
